How to install .Pbi package on pfSense 2.0.3



  • Hi there!

    Can anyone please tell how to install .pbi packages in ealier version of pfSense i.e. 2.0.3?

    Thanks & Regards

    amitaussie


  • Banned

    Uh. You don't. Time to upgrade.



  • Hi,

    Oh.. I wish I could,

    anyways thanks, I wasted so much time on this, I should have asked here earlier.

    Thanks & Regards

    amitaussie


  • Netgate Administrator

    Yeah the pbi system was only introduced in 2.2. 2.1  ::)
    What are you trying to install? Is there some reason you're using such an old version?

    Steve



  • Hi stephenw10 !

    I am using version 2.0.3 as it sort out a big problem of users. CP users can log out easily and can recall log out page anytime by entering address in url if closed by a user unknowingly. This solution is provided by Zcache and is working flawlessly. link below

    https://forum.pfsense.org/index.php?topic=41845.msg312055#msg312055

    Moreover in 2.0.3 there is squid3-dev package with HTTPS SSL bump, which can filter https sites at will. But squid-guard is not available for squid3. In pfsense repository I have found squid-guard .pbi for squid 3-dev. So if any how I would have able to get it work "squid3+HTTPS filtering+CP user log out page+ squid-guard".  It is a complete UTM system for most of the pfSense users here including me.

    Version 2.2 is great but non availability of log out page for CP users is not gonna work as internet users always complain if log out page is not there. There are in a habit of logging out at will.

    Thanks & Regards

    amitaussie


  • Netgate Administrator

    Hmm, Ok an interesting problem. You can't use Zcache's solution on a newer version? You should be running 2.1.5 at least, there are vulnerabilities in 2.0.3.

    Steve


  • Banned

    I never got the point of "logout page". Implement an idle time-out. Why on earth would anyone log out.



  • Hello!

    stephenw10! -
    Yeh, there are vulnerabilities in 2.0.3 but, not at all places people try to exploit these as they are not tech-savvy or these vulnerabilities do not bother them and they get what they want from a firewall i.e 2.0.3. They use internet and then log out as when their usage time is finished. Zcache's solution, I think is not possible in version 2.1.x and above as CP has got major overhaul.

    doktornotor! -
    There are many places like school, colleges, training institutes etc. and these places are of both type i.e. commercial and charitable which can not afford commercial firewalls. People must log out after their time is finished and moreover no one want to be blamed for a wrong/false mail etc. that has been sent by earlier user's account if the earlier person has not logged out. At many places it is mandatory to log out from internet user account before a user leaves his system, so in that case you can not deploy a firewall which does not offer this functionality. So there are some real complications if people can not logged out at will (which in case of idle time is not possible).

    Thanks and Regards

    amitaussie


  • Netgate Administrator

    Yeah, I'm kind of surprised more people are not asking for this. Purposefully logging out of a public computer is drummed into us these days. Are you sure a similar solution doesn't already exist?

    You really don't want to be adding random pbis (or any package type) to an old version of pfSense.

    Steve



  • Hi !

    Well I think many people need this kinda solution but cant do more about this as it requires a good understanding of lot of things to implement or try to implement this.
    But good thing is that it has already been in process and almost completed for version 2.2 and testing is going on, thanks to contributors.  Have a look at this
    https://forum.pfsense.org/index.php?topic=77143.0

    Thanks & Regards!

    amitaussie



  • @stephenw10:

    Yeah the pbi system was only introduced in 2.2.

    2.1  ;)



  • @amitaussie:

    Can anyone please tell how to install .pbi packages in ealier version of pfSense i.e. 2.0.3?

    If security is not the point(really!? :o) you can install most of freebsd packages on it with pkg_add.

    All you need is set correct url prefix env var before pkg add


  • Netgate Administrator

    Ah, yes I have it confused with pkg-ng.  :-[
    Thanks Marcello.  :)

    It seems there is already a much better solution in progress for logging out of the CP whilst using a current pfSense.

    Steve



  • If security is not the point(really!? :o) you can install most of freebsd packages on it with pkg_add.
    All you need is set correct url prefix env var before pkg add

    But the pkg I want to install is in .pbi format, it is not available in .tbz format (for i386 only not for amd64), which is supported by 2.0.3.
    http://files.pfsense.org/packages/8/All/squidguard-squid3-1.4_4-i386.pbi

    Thanks & Regards

    amitaussie


  • Netgate Administrator

    You have to be running 2.1.X to install that. Also the complete package is not just the pbi.

    Steve



  • I got it.

    Thanks & Regards

    amitaussie


Log in to reply